Conteúdo
Índice 🔎︎

# Parâmetros de arranque do Java

Pode utilizar esta caixa de diálogo para introduzir os parâmetros de arranque do Java Runtime Environment. As definições indicadas nesta caixa de diálogo são válidas para qualquer JRE iniciado.

Para aceder a este comando...

Escolha LibreOffice - Preferências Ferramentas - Opções - LibreOffice - Avançado.

## Parâmetro de arranque do Java

Introduza um parâmetro de início para um JRE do mesmo modo que o faria numa linha de comandos. Clique em Atribuir para adicionar o parâmetro à lista de parâmetros disponíveis.

Não utilize caracteres de escape ou aspas em nomes de caminho.

Por exemplo, para indicar a propriedade do sistema "myprop" para uma pasta, introduza o seguinte parâmetro:

-Dmyprop=c:\program files\java

Para ativar a depuração de um JRE, introduza os seguintes parâmetros:

-Xdebug

-Xrunjdwp:transport=dt_socket,server=y,address=8000

Estas alterações surtem efeito ao reiniciar o LibreOffice.

### Parâmetros de início atribuídos

Apresenta a lista dos parâmetros de início de JRE atribuídos. Para remover o parâmetro de início, selecione-o e clique em Remover.

### Adicionar

Adiciona o parâmetro de início de JRE atual à lista.

### Editar

Abre uma caixa de diálogo na qual pode editar o parâmetro de arranque do JRE selecionado.

### Remover

Elimina o parâmetro de início de JRE selecionado.